package com.inspect.metadata.alg.mapper;

import com.inspect.metadata.alg.domain.BasedataAlg;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface BasedataAlgMapper {
    BasedataAlg selectBasedataAlgByAlgId(Long algId);

    List<BasedataAlg> selectBasedataAlgList(BasedataAlg alg);

    int insertBasedataAlg(BasedataAlg alg);

    int updateBasedataAlg(BasedataAlg alg);

    int deleteBasedataAlgByAlgId(Long algId);

    int deleteBasedataAlgByAlgIds(Long[] algIds);

    List<BasedataAlg> getAlgTypeList();

    List<BasedataAlg> selectBasedataAlgTypeList();

    int checkAlgNameIsExist(@Param("algName") String algName, @Param("algId") String algId);
}
